Supported Objects are custom objects and standard objects like "business". Documentation Link - https://doc.clickup.com/8631005/d/h/87cpx-277156/93bf0c2e23177b0/87cpx-379336

http
POST https://services.leadconnectorhq.com/objects/{schemaKey}/records/search

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
schemaKeystringNo632c34b4c9b7da3358ac9891custom object key

Body

NameTypeRequiredExampleDescription
locationIdstringYesve9EPM428h8vShlRW1KTAccount Id
pagenumberYes1Page
pageLimitnumberYes10Page Limit
querystringYesBuddyPass this query parameter to search using your searchable properties. For example, if you have a custom object called “Pets” and have configured “name” as a searchable property, you can pass name:Buddy to search for pets with the name “Buddy.”
searchAfterstring[]Yes

Responses

200 - Successful response
  • records (object[]): Records

    • id (string, required): id of the record Example: 661c06b4ffde146bdb469442

    • owner (string[], required): Owner (User's id). Limited to 1 for now . Only supported for custom objects for now

    • followers (string[], required): Follower (User's ids). Limited to 10 and supported for custom objects for now

    • properties (string, required): Properties of the record

    • createdAt (string, required): Date and time when the object was added

    • updatedAt (string, required): Date and time when the object was last updated

    • locationId (string, required): Account Id Example: ve9EPM428h8vShlRW1KT

    • objectId (string, required): ObjectId Id Example: 6d6f6e676f5f6576656e7473

    • objectKey (string, required): ObjectId key Example: custom_objects.pet

    • createdBy (object, required): Created By Meta

    • lastUpdatedBy (object, required): Last Updated By Meta

    • searchAfter (number[], required)

  • total (number, required): Total Number of records Example: 20

json
{
  "records": [
    {
      "id": "661c06b4ffde146bdb469442",
      "owner": [
        "sx6wyHhbFdRXh302Lunr"
      ],
      "followers": [
        "sx6wyHhbFdRXh302Lunr",
        "v5cEPM428h8vShlRW1KT"
      ],
      "properties": {
        "customer_number": 1424,
        "ticket_name": "Customer not able login",
        "phone_number": "+917000000000",
        "money": {
          "currency": "default",
          "value": 100
        },
        "type_of_ticket": "doubt",
        "section_of_app": [
          "contacts",
          "smartlist"
        ],
        "recieved_on": "2024-07-11",
        "my_files": [
          {
            "url": "---url_of_file---"
          }
        ],
        "my_textbox_list.option_a": "Value 1",
        "my_textbox_list.option_b": "Value 2"
      },
      "createdAt": "2024-01-15T10:30:00Z",
      "updatedAt": "2024-01-15T10:30:00Z",
      "locationId": "ve9EPM428h8vShlRW1KT",
      "objectId": "6d6f6e676f5f6576656e7473",
      "objectKey": "custom_objects.pet",
      "searchAfter": [
  // truncado: 7 lineas mas
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}

Example

curl -X POST 'https://services.leadconnectorhq.com/objects/YOUR_schemaKey/records/search' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "locationId": "ve9EPM428h8vShlRW1KT",
  "page": 1,
  "pageLimit": 10,
  "query": "Buddy",
  "searchAfter": [
    "sx6wyHhbFdRXh302Lunr",
    "sx6wyHhbFdRXh302Lunr"
  ]
}'

Last updated October 26, 2026

Was this page helpful?